Add LIKE and case insensitive filters to QGis Server
Assignee:

Category: QGIS Server

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 15592

Description

Qgis Server filters are quite basic in this moment. Comparison should be available case insensitive too, and a "LIKE" comparision

operator would be very important.

History

#1 - 2012-10-06 02:21 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2014-02-24 04:23 AM - Giovanni Allegri

This feature request hasn't had further discussions. 

Do you see any counterindication in implementing a LIKE/ILIKE filter?

#3 - 2014-02-24 05:26 AM - Giovanni Allegri

LIKE has been added. Why don't we add ILIKE too?

#4 - 2014-02-24 05:28 AM - Marco Hugentobler

No problem to add ILIKE as well.

#5 - 2014-02-26 01:43 AM - Giovanni Allegri

- Status changed from Open to Closed

#6 - 2014-03-01 03:36 AM - Giovanni Manghi

has this been added then? adding resolution "fixed/implemented"?

#7 - 2014-03-03 01:22 AM - Giovanni Allegri

- Resolution set to fixed/implemented
